
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%   FOR: Algorithm 1 Step 1.a   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Minimum and maximum values of the inputs variables
universe_x(1,:)= [0.06 0.12]; % Universe of x1 (reference) [min max]
universe_x(2,:)= [0.06 0.12]; % Universe of x2 (yk) [min max]

%% Auxiliary variable to obtain Threshold \eta_j
eta_aux(1) = 15; % parameters to define the minimal distance between MFs, for x1 (error)
eta_aux(2) = 15; % parameters to define the minimal distance between MFs, for x2 (reference)

%% Number of initial membership functions per input variable
Rules_ini(1) = 2; % Initial number of fuzzy rules (the same of initial MFs), for x1 (error)
Rules_ini(2) = 2; % Initial number of fuzzy rules (the same of initial MFs), for x2 (reference)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%   FOR: Algorithm 1 Step 1.b   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

control_min_max = [95 110];  % Universe of discourse of the control variable [min max]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%   FOR: Algorithm 1 Step 1.c   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

window_size = 200; % temporal sliding windows size

beta = 0.00005; % Learning gain \beta (antecedents)

C = 1; %Learning gain C (consequents)

delta = 0.05 * ( control_min_max(2) - control_min_max(1) ); % threshold \delta (defined here as 5% of the diference between max and min of command variable



